DEFINITION MODULE kshMisc;

FROM K32baseTypes IMPORT

	cardinal16, cardinal32;

EXPORT QUALIFIED

	atoc, atoc32, ctoa, c32toa, otoc32, otoc, xor, yes;


PROCEDURE xor(		(* Exclusive-OR *)
	a:	BOOLEAN;
	b:	BOOLEAN
):		BOOLEAN;

PROCEDURE otoc32(
	buf:		ARRAY OF CHAR;
	VAR c32:	cardinal32
);

PROCEDURE otoc(
	buf:		ARRAY OF CHAR
):			CARDINAL;

PROCEDURE atoc32(
	buf:		ARRAY OF CHAR;
	VAR c32:	cardinal32
);

PROCEDURE atoc(
	buf:		ARRAY OF CHAR
):			CARDINAL;

PROCEDURE c32toa (
	numb :		cardinal32;
	VAR buf :	ARRAY OF CHAR;
	base :		cardinal16
);

PROCEDURE ctoa (
	numb :		cardinal16;
	VAR buf :	ARRAY OF CHAR;
	base :		cardinal16
);

PROCEDURE yes(): BOOLEAN;

END kshMisc.
